aboutsummaryrefslogtreecommitdiffstats
path: root/deliveries/src/main/scripts/localize_cache.sh
diff options
context:
space:
mode:
authorRachitha Ramappa <rachitha.ramappa@att.com>2021-03-04 15:22:55 +0000
committerIkram Ikramullah <ikram@research.att.com>2021-03-04 15:25:35 +0000
commit1a64b7c494b129d39ece23aa0615f49bdb3ac52e (patch)
tree61eaa532b3467a4ab4092a50c0e3ce154af2f6df /deliveries/src/main/scripts/localize_cache.sh
parent22a095b3770599b443721f247630c7517da268e8 (diff)
Reason for revert: This is blocking us from releasing the honolulu release - the change is much wider than initially thought of - parts of this change are still in the open in oom - this cannot go alone. See VID-890 for more details.
Issue-ID: VID-890 Change-Id: Ib8bb4a462f63a76acf446c8784ae082452c5cd4a Signed-off-by: rachitha.ramappa@att.com
Diffstat (limited to 'deliveries/src/main/scripts/localize_cache.sh')
-rwxr-xr-xdeliveries/src/main/scripts/localize_cache.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/deliveries/src/main/scripts/localize_cache.sh b/deliveries/src/main/scripts/localize_cache.sh
new file mode 100755
index 000000000..2d676c373
--- /dev/null
+++ b/deliveries/src/main/scripts/localize_cache.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+FINAL_CONFIG_FILE=$1/classes/cache.ccf
+TEMPLATE_CONFIG_FILE=$1/classes/cache_template.ccf
+
+echo "Localizing the VID cache configuration"
+
+mkdir -p "${CACHE_DIRECTORY}"
+
+sed -e 's,${CACHE_DIRECTORY},'${CACHE_DIRECTORY}',g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
+ echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
+ exit 3
+ }
+
+echo "Localized ${FINAL_CONFIG_FILE} successfully."